<?
$sub_menu = "200300";
include_once("./_common.php");

auth_check($auth[$sub_menu], "r");

$token = get_token();

$html_title = "회원메일 ";

if ($w == "u") {
    $html_title .= "수정";
    $readonly = " readonly";

    $sql = " select * from $g4[mail_table] where ma_id = '$ma_id' ";
    $ma = sql_fetch($sql);
    if (!$ma[ma_id]) 
        alert("등록된 자료가 없습니다.");
} else {
    $html_title .= "등록";
}

$g4[title] = $html_title;
include_once("./admin.head.php");
?>

<style>
table tr td	{ color:#414141; }
table tr td input	{ color:#3C3D3E; font-family:Dotum; padding:3px; }
table tr td textarea	{ color:#3C3D3E; font-family:Dotum; padding:3px; line-height:160%; }
table tr td.col1	{ padding:3px; color:#71777F; font-weight:bold; }
table tr td.col2	{ padding:5px; color:#868687; }
div.msg		{ font:normal 11px Dotum; padding:4px; }
</style>

<?=subtitle($html_title)?>
<div class="subtitle_msg">회원에게 전체 메일을 전송하기 위해 메일을 미리 작성합니다. 서버 환경에 따라 단체 메일이 지원되지 않을 수 있습니다.</div>
<form name=fmailform method=post action="./mail_update.php" onsubmit="return fmailform_check(this);">
<input type=hidden name=w     value='<?=$w?>'>
<input type=hidden name=ma_id value='<?=$ma[ma_id]?>'>
<input type=hidden name=token value='<?=$token?>'>

<table cellpadding=0 cellspacing=0 width=100%>
<colgroup width=13%>
<colgroup width=77%>
<tr>
    <td class="col1" align="center">메일 제목</td>
    <td class="col2"><input type=text name=ma_subject value='<?=$ma[ma_subject]?>' required itemname='메일 제목' style="width:90%;"></td>
</tr>
<tr>
    <td class="col1" align="center">메일 내용<?=textarea_size("ma_content")?></td>
    <td class="col2">
        <textarea id=ma_content name=ma_content rows=20 required itemname='메일 내용' style="width:90%;"><?=$ma[ma_content]?></textarea>
        <div class="msg">{이름} , {별명} , {회원아이디} , {이메일} , {생일}
        <br>위와 같이 <b>HTML 코드를 삽입</b>하면 해당 내용에 맞게 변환하여 메일 발송합니다. </div>
    </td>
</tr>
<tr><td colspan=2 class='line1'></td></tr>
</table>

<p align=center>
    <input type=submit class=bttn_adj accesskey='s' value='확인'>
</form>



<script type="text/javascript">
function fmailform_check(f) 
{
    errmsg = "";
    errfld = "";

    check_field(f.ma_subject, "제목을 입력하세요.");
    check_field(f.ma_content, "내용을 입력하세요.");

    if (errmsg != "") {
        alert(errmsg);
        errfld.focus();
        return false;
    }
    return true;
}

document.fmailform.ma_subject.focus();
</script>

<?
include_once("./admin.tail.php");
?>
